%define name kacpi
%define version 0.6.3
%define release 0.rc7.2mdk

Name: 		%{name}
Version: 	%{version}
Release: 	%{release}
Summary:  	Kacpi monitoring laptop's battery
Group: 		Graphical desktop/KDE
Url:		http://www.elektronikschule.de/~genannt/kacpi/index.html
License: 	GPL
Source: 	%{name}-%{version}-rc7.tar.bz2

Buildroot: 	%_tmppath/%{name}-%{version}-buildroot
BuildRequires:  gcc-cpp db3 readline pam popt libtermcap2 zlib1 XFree86-devel XFree86-libs Mesa-common
BuildRequires:  XFree86-static-libs automake arts autoconf diffutils kdelibs file
BuildRequires:  m4 texinfo gettext libjpeg62-devel kdelibs-devel gcc-c++ libbinutils2 libbzip2_1
BuildRequires:  db1 freetype2 libjpeg62 libmng1 libpng3 libqt3 libqt3-devel rpm-build


%description
Kacpi is a KDE-program that shows the power informations about the Laptop's 
battery in a window, and can dock to the kicker, near the clock.


%prep
rm -rf $RPM_BUILD_ROOT

%setup -n %{name}-%{version}-rc7

%build
export QTDIR=%_libdir/qt3
export KDEDIR=%_prefix

export LD_LIBRARY_PATH=$QTDIR/lib:$KDEDIR/lib:$LD_LIBRARY_PATH
export PATH=$QTDIR/bin:$KDEDIR/bin:$PATH

CFLAGS="%optflags" CXXFLAGS="%optflags" \
           ./configure --prefix=%_prefix \
			--enable-mt \
			--with-qt-dir=/usr/lib/qt3 \
	               	--disable-rpath \
	       		--disable-debug --libdir=%_libdir

%make

%install
make DESTDIR=%buildroot install

install -d $RPM_BUILD_ROOT%_menudir

kdedesktop2mdkmenu.pl kacpi "Applications/Monitoring" %buildroot/%_datadir/applnk/Utilities/kacpi.desktop %buildroot/%_menudir/kacpi

%find_lang %name

%clean
rm -rf $RPM_BUILD_ROOT

%post 
%update_menus

%postun 
%clean_menus

%files -f %name.lang
%defattr(-,root,root)
%doc AUTHORS COPYING INSTALL NEWS README
%_bindir/*
%_menudir/*

%_datadir/applnk/Utilities/*.desktop
%_datadir/icons/*.png


%changelog
* Sun Mar 02 2003 Laurent MONTEL <lmontel@mandrakesoft.com> 0.6.3-0.rc7.2mdk
- Rebuild

* Tue Jan 07 2003 Lenny Cartier <lenny@mandrakesoft.com> 0.6.3-0.rc7.1mdk
- 0.6.3rc7

* Mon Dec 09 2002 Laurent MONTEL <lmontel@mandrakesoft.com> 0.6.3-0.rc3.1mdk
- 0.6.3

* Thu Oct 24 2002 Laurent MONTEL <lmontel@mandrakesoft.com> 0.6.2-2mdk
- Add patch2 : disable messagebox

* Tue Oct 22 2002 Laurent MONTEL <lmontel@mandrakesoft.com> 0.6.2-1mdk
- Update code

* Sun Sep 29 2002 Laurent MONTEL <lmontel@mandrakesoft.com> 0.6.1-1mdk
- initial package

